Loading...
Searching...
No Matches
elastix::LibUtilities Namespace Reference

## Typedefs

using | ParameterMapType = std::map<std::string, ParameterValuesType>
using | ParameterValuesType = std::vector<std::string>

## Functions

template<typename TInputImage>
itk::SmartPointer< itk::DataObject > | CastToInternalPixelType (itk::SmartPointer< TInputImage > inputImage, const std::string &internalPixelTypeString)
std::string | RetrievePixelTypeParameterValue (const ParameterMapType &parameterMap, const std::string &parameterName)
void | SetParameterValueAndWarnOnOverride (ParameterMapType &parameterMap, const std::string &parameterName, const std::string &parameterValue)

## Typedef Documentation

## ParameterMapType

using elastix::LibUtilities::ParameterMapType = std::map<std::string, ParameterValuesType>

Definition at line 36 of file elxLibUtilities.h.

## ParameterValuesType

using elastix::LibUtilities::ParameterValuesType = std::vector<std::string>

Definition at line 35 of file elxLibUtilities.h.

## Function Documentation

## CastToInternalPixelType()

template<typename TInputImage>

itk::SmartPointer< itk::DataObject > elastix::LibUtilities::CastToInternalPixelType | ( | itk::SmartPointer< TInputImage > | inputImage,
|  | const std::string & | internalPixelTypeString )

Definition at line 52 of file elxLibUtilities.h.

## RetrievePixelTypeParameterValue()

std::string elastix::LibUtilities::RetrievePixelTypeParameterValue | ( | const ParameterMapType & | parameterMap,
|  | const std::string & | parameterName )

Retrieves the PixelType string value of the specified parameter. Returns "float" by default.

## SetParameterValueAndWarnOnOverride()

void elastix::LibUtilities::SetParameterValueAndWarnOnOverride | ( | ParameterMapType & | parameterMap,
|  | const std::string & | parameterName,
|  | const std::string & | parameterValue )

Sets the specified parameter value. Warns when it overrides existing parameter values.

Generated on 1768596610 for elastix by 1.15.0 |